USN-4049-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4049-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4049-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4049-1
Related
Published
2019-07-08T15:59:23.419455Z
Modified
2019-07-08T15:59:23.419455Z
Summary
glib2.0 vulnerability
Details

It was discovered that GLib created directories and files without properly restricting permissions. An attacker could possibly use this issue to access sensitive information.

References

Affected packages

Ubuntu:18.04:LTS / glib2.0

Package

Name
glib2.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.56.4-0ubuntu0.18.04.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libglib2.0-doc": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-dev": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-0": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-udeb": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-tests": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-data": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-dev-bin": "2.56.4-0ubuntu0.18.04.4",
            "libglib2.0-bin": "2.56.4-0ubuntu0.18.04.4"
        }
    ]
}

Ubuntu:16.04:LTS / glib2.0

Package

Name
glib2.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.48.2-0ubuntu4.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libglib2.0-doc": "2.48.2-0ubuntu4.3",
            "libglib2.0-dev": "2.48.2-0ubuntu4.3",
            "libglib2.0-0": "2.48.2-0ubuntu4.3",
            "libglib2.0-udeb": "2.48.2-0ubuntu4.3",
            "libglib2.0-tests": "2.48.2-0ubuntu4.3",
            "libglib2.0-data": "2.48.2-0ubuntu4.3",
            "libglib2.0-0-refdbg": "2.48.2-0ubuntu4.3",
            "libglib2.0-bin": "2.48.2-0ubuntu4.3"
        }
    ]
}